

    .simple-login-extra {
      font-size: 0.9rem;
    }

    .simple-login-extra .form-check-input {
      width: 16px;
      height: 16px;
      cursor: pointer;
      accent-color: #0d6efd;
    }

    .link-forgot {
      color: #6c757d;
      transition: color 0.2s ease-in-out;
    }

    .link-forgot:hover {
      color: #0d6efd;
      text-decoration: underline;
    }

    .login-card {
      position: relative;
      z-index: 2;
      max-width: 500px;
      width: 100%;
      padding: 1.8rem;
      background: rgba(255, 255, 255, 1);
      border-radius: 1rem;
      box-shadow: 0 15px 40px rgba(0, 0, 0, 0.2);
      backdrop-filter: blur(12px);
      /*animation: fadeInDown 0.6s ease-out;*/
      animation: fadeInUp 0.6s ease-out;
    }

    @keyframes fadeInDown {
      from { opacity: 0; transform: translateY(-30px); }
      to { opacity: 1; transform: translateY(0); }
    }

    @keyframes fadeInUp {
      from {
        opacity: 0;
        transform: translateY(40px);
      }
      to {
        opacity: 1;
        transform: translateY(0);
      }
    }

    .login-logo {
      display: block;
      margin: 0 auto 1.5rem;
      max-width: 150px;
    }

    .login-card h2 {
      font-weight: 600;
      font-size: 1.4rem;
      text-align: center;
      color: #1f2937;
      margin-bottom: 0.5rem;
    }

    .login-card p {
      font-size: 0.95rem;
      color: #4b5563;
      text-align: center;
      margin-bottom: 1.8rem;
    }

    .form-input {
      margin-bottom: 17rem;
    }

    .input-icon {
      position: relative;
    }

    .input-icon i.fa-envelope,
    .input-icon i.fa-lock,
    .input-icon i.fa-user {
      position: absolute;
      top: 50%;
      left: 15px;
      transform: translateY(-50%);
      color: #9ca3af;
    }

    .input-icon .fa-exclamation-circle {
      position: absolute;
      right: 12px;
      top: 50%;
      transform: translateY(-50%);
      color: #dc3545;
      pointer-events: none;
    }

    .form-control {
      padding-left: 2.5rem;
      padding-right: 2.5rem;
      padding-top: 0.6rem;
      padding-bottom: 0.6rem;
      border-radius: 0.6rem;
      border: 1px solid #ced4da;
      font-size: 1rem;
      transition: 0.3s;
    }

    .error {
      color: #dc3545;
      font-size: 0.85rem;
      margin-top: 0.3rem;
      margin-left: 0.25rem;
    }

    .is-invalid {
      border-color: #dc3545 !important;
    }

     .form-control.is-invalid {
      background-image: none !important;
      background-position: unset !important;
      background-size: unset !important;
      padding-right: 1rem; 
    }

    .forgot-password {
      text-align: end;
      margin-top: -0.8rem;
      margin-bottom: 1rem;
    }

    .forgot-password a {
      font-size: 0.85rem;
      color: #6366f1;
      text-decoration: none;
    }

    .toggle-password-icon{
      position: absolute; right: 15px; top: 50%; transform: translateY(-50%); cursor: pointer;
    }

    .login-footer {
      margin-top: 1.8rem;
      font-size: 0.9rem;
      text-align: center;
    }

    .login-footer a {
      color: #4f46e5;
      text-decoration: none;
      font-weight: 500;
    }

    .agen-info {
      font-size: 0.85rem;
      color: #6b7280;
      text-align: center;
      margin-top: 1.8rem;
    }

    @media (max-width: 576px) {
      .login-card {
        padding: 2rem 1.5rem;
      }

      .login-card h2 {
        font-size: 1.3rem;
      }

      .login-card p {
        font-size: 0.9rem;
      }
    }

    .btn-login {
      background: linear-gradient(to right, #367dda, #1257be);
      color: white;
      font-weight: 600;
      border-radius: 0.6rem;
      padding: 0.75rem;
    }

    .btn-login:hover {
      background: linear-gradient(to right, #1059b9, #0546a8);
      color: rgb(230, 230, 230);
    }

    .btn-gradient-blue {
      background: linear-gradient(to right, #367dda, #1257be);
      color: white;
      font-weight: 600;
      border-radius: 0.6rem;
      padding: 0.75rem;
    }

    .btn-gradient-blue:hover {
      background: linear-gradient(to right, #1059b9, #0546a8);
      color: rgb(230, 230, 230);
    }

    .btn-gradient-green {
      background: linear-gradient(to right, #10b981, #059669);
      color: white;
      font-weight: 600;
      border-radius: 0.6rem;
      padding: 0.75rem;
    }

    .btn-gradient-green:hover {
      background: linear-gradient(to right, #047857, #065f46);
    }

    .capitalize-input {
      text-transform: capitalize;
    }

    .otp-box {
      display: flex;
      justify-content: space-between;
      gap: 10px;
    }
    .otp-input {
      width: 40px;
      height: 45px;
      text-align: center;
      font-size: 20px;
      border-radius: 8px;
      border: 1px solid #ccc;
    }
    .otp-input:focus {
      border-color: #007bff;
      outline: none;
      box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
    }
    .resend-btn {
      background: none;
      border: none;
      color: #007bff;
      font-weight: 600;
      cursor: pointer;
    }
    .resend-btn:disabled {
      color: gray;
      cursor: not-allowed;
    }

